Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.annotations
Enum AppearanceCharacteristics.CaptionPositionEnum

    java.lang.Object
      java.lang.Enum<AppearanceCharacteristics.CaptionPositionEnum>
          org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics.CaptionPositionEnum

All Implemented Interfaces:
  Serializable, Comparable<AppearanceCharacteristics.CaptionPositionEnum>

Enclosing class:
  AppearanceCharacteristics

    public static enum AppearanceCharacteristics.CaptionPositionEnum

extends Enum<AppearanceCharacteristics.CaptionPositionEnum>

Caption position relative to its icon [PDF:1.6:8.4.5].

Enum Constant Summary
`Above` Caption above the icon.
`Below` Caption below the icon.
`CaptionOnly` Caption only (no icon).
`Left` Caption to the left of the icon.
`NoCaption` No caption (icon only).
`Overlaid` Caption overlaid directly on the icon.
`Right` Caption to the right of the icon.

Method Summary
`static AppearanceCharacteristics.CaptionPositionEnum` | `get(int value)` Gets the caption position corresponding to the given value.
`int` | `getCode()`
`static AppearanceCharacteristics.CaptionPositionEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AppearanceCharacteristics.CaptionPositionEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CaptionOnly

    public static final AppearanceCharacteristics.CaptionPositionEnum CaptionOnly

  Caption only (no icon).

### NoCaption

    public static final AppearanceCharacteristics.CaptionPositionEnum NoCaption

  No caption (icon only).

### Below

    public static final AppearanceCharacteristics.CaptionPositionEnum Below

  Caption below the icon.

### Above

    public static final AppearanceCharacteristics.CaptionPositionEnum Above

  Caption above the icon.

### Right

    public static final AppearanceCharacteristics.CaptionPositionEnum Right

  Caption to the right of the icon.

### Left

    public static final AppearanceCharacteristics.CaptionPositionEnum Left

  Caption to the left of the icon.

### Overlaid

    public static final AppearanceCharacteristics.CaptionPositionEnum Overlaid

  Caption overlaid directly on the icon.

Method Detail

### values

    public static AppearanceCharacteristics.CaptionPositionEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AppearanceCharacteristics.CaptionPositionEnum c : AppearanceCharacteristics.CaptionPositionEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AppearanceCharacteristics.CaptionPositionEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static AppearanceCharacteristics.CaptionPositionEnum get(int value)

  Gets the caption position corresponding to the given value.

### getCode

    public int getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.